%ifarch alpha ia64 ppc64 s390x sparc64 x86_64
%global flavor gcc64pthr
%else
%global flavor gcc32pthr
%endif

%global debug_package %{nil}

Name:		globus-libxml2
%global _name %(tr - _ <<< %{name})
Version:	1.8
Release:	1%{?dist}
Summary:	Globus Toolkit - LibXML2 Library

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://www.globus.org/
#		This package is a substitution for the upstream globus-libxml2
#		package, which contains a copy of the libxml2 library sources.
#		Instead this package provides the necessary metadata files to
#		allow grid-packaging-tools (GPT) to use the libxml2 library
#		provided by the Fedora/RHEL distribution. The package source
#		is a single GPT source package description file, referencing
#		the libxml2 library as an external library.
Source:		%{name}-pkg_data_src.gpt.in
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	libxml2%{?_isa}
BuildRequires:	grid-packaging-tools
BuildRequires:	globus-core%{?_isa}
BuildRequires:	libxml2-devel%{?_isa}

%package devel
Summary:	Globus Toolkit - LibXML2 Library Development Files
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	libxml2-devel%{?_isa}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
LibXML2 Library (virtual GPT glue package)

%description devel
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
LibXML2 Library Development Files (virtual GPT glue package)

%prep
%setup -T -c
cp -p %{SOURCE0} pkg_data_src.gpt.in

%build
LIBXML2_VERSION=`pkg-config libxml-2.0 --modversion`
LIBXML2_INCLUDES=`pkg-config libxml-2.0 --cflags`
LIBXML2_LIBS=`pkg-config libxml-2.0 --libs`

sed -e "s!@LIBXML2_VERSION@!$LIBXML2_VERSION!g" \
    -e "s!@LIBXML2_INCLUDES@!$LIBXML2_INCLUDES!g" \
    -e "s!@LIBXML2_LIBS@!$LIBXML2_LIBS!g" \
  < pkg_data_src.gpt.in > pkg_data_src.gpt

echo /share/globus/packages/%{_name}/%{flavor}_rtl.filelist > \
  %{flavor}_rtl.filelist
echo /share/globus/packages/%{_name}/pkg_data_%{flavor}_rtl.gpt >> \
  %{flavor}_rtl.filelist

echo /share/globus/packages/%{_name}/%{flavor}_dev.filelist > \
  %{flavor}_dev.filelist
echo /share/globus/packages/%{_name}/pkg_data_%{flavor}_dev.gpt >> \
  %{flavor}_dev.filelist

%{_sbindir}/gpt_generate_bin_pkg_data --flavor=%{flavor} pkg_data_src.gpt

%install
rm -rf $RPM_BUILD_ROOT

GLOBUSPACKAGEDIR=$RPM_BUILD_ROOT%{_datadir}/globus/packages

mkdir -p $GLOBUSPACKAGEDIR/%{_name}

install -m 644 pkg_data_%{flavor}_rtl.gpt %{flavor}_rtl.filelist \
  $GLOBUSPACKAGEDIR/%{_name}
install -m 644 pkg_data_%{flavor}_dev.gpt %{flavor}_dev.filelist \
  $GLOBUSPACKAGEDIR/%{_name}

# Generate pkg-config file from GPT metadata
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
%{_datadir}/globus/globus-gpt2pkg-config pkg_data_%{flavor}_dev.gpt | \
  sed -e 's/Requires:.*/Requires: libxml-2.0/' \
      -e 's/Cflags:.*/Cflags:/' \
      -e 's/Libs:.*/Libs:/' > \
  $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{name}.pc

# Generate package filelists
cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_rtl.filelist \
  | sed s!^!%{_prefix}! > package.filelist
cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_dev.filelist \
  | sed s!^!%{_prefix}! > package-devel.filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f package.filelist
%defattr(-,root,root,-)
%dir %{_datadir}/globus
%dir %{_datadir}/globus/packages
%dir %{_datadir}/globus/packages/%{_name}

%files -f package-devel.filelist devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Jan 23 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.8-1
- Autogenerated
